%define name mandriva-clubpartner
%define version 0.05
%define release %mkrel 3

Summary: Mandriva Club authentication system
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Servers
Url: http://svn.mandriva.com/cgi-bin/viewvc.cgi/web/clubpartner/
Requires: apache-mod_authnz_external
%if %mdkversion < 201010
Requires(post):   rpm-helper
Requires(postun):   rpm-helper
%endif
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
This package contains script and config files to perform a direct
mandriva club member authentication 

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %buildroot/var/cache/clubauth

mkdir -p %buildroot/%_webconfdir/webapps.d

cp httpd/*.conf %buildroot/%_webconfdir/webapps.d/

%clean
rm -rf %{buildroot}

%post
%if %mdkversion < 201010
%_post_webapp
%endif

%postun
%if %mdkversion < 201010
%_postun_webapp
%endif

%files
%defattr(-,root,root)
%doc README
%_bindir/*
%_mandir/man?/*
%dir %attr(0755, apache, apache) /var/cache/clubauth
%config(noreplace) %_webconfdir/webapps.d/*.conf


%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.05-3mdv2011.0
+ Revision: 612808
- the mass rebuild of 2010.1 packages

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2010.1
+ Revision: 509188
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Tue Nov 17 2009 Olivier Thauvin <nanardon@mandriva.org> 0.05-1mdv2010.1
+ Revision: 467021
- 0.05

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.04-2mdv2010.0
+ Revision: 429950
- rebuild

* Thu Jul 10 2008 Olivier Thauvin <nanardon@mandriva.org> 0.04-1mdv2009.0
+ Revision: 233281
- mark config file as config
- 0.04

* Fri Jun 27 2008 Olivier Thauvin <nanardon@mandriva.org> 0.03-1mdv2009.0
+ Revision: 229543
- 0.03

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.02-1mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Mar 15 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-1mdv2007.1
+ Revision: 144295
- 0.02
- add README as doc

* Sun Oct 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.01-1mdv2007.1
+ Revision: 64769
- initial rpm

